# std::vector<bool,Allocator>::flip

From cppreference.com
< cpp‎ | container‎ | vector bool

Defined in header `<vector>` |  |
void flip(); |  |

Toggles each bool in the vector (replaces with its opposite value).

### Parameters

(none)

### Return value

(none)

### See also

operator[] | access specified element (public member function of `std::vector<T,Allocator>`)
flip | toggles the values of bits (public member function of `std::bitset<N>`)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/vector_bool/flip&oldid=57332"